<?php

/*
 * Picture Time Photo Album
 * An Image gallery provided by Marcel Pol under the GPL
 * Source and updates: http://timelord.nl
 */

// include header
include($script->get_docroot() . $software . "/themes/" . $script->get_theme() . '/header.php');
?>

<div id="navlist">
	<div id="navlist_header">
	<h2>Album: <?php echo $gallery->get_name(); ?></h2>
	</div>

	<?php // navlist: navigation on top of the albums and images
	$counter = 0;
	$parent = "/";
	foreach ($gallery->get_navlist() as $navlist) {
		if ($counter == 0) {
			// first item in array is empty, drop it
			$counter++;
			continue;
		} else {
			if (!empty($navlist)) {
				$parent .= $navlist . "/";
				?>
				<a href="<?php echo $parent; ?>index.php" title="<?php echo $navlist; ?>"><?php echo $navlist; ?></a>
				<?php $counter++;
			}
		}
	} ?>
</div>

<div class="clear"></div>

<div id="albumlist"> <?php // list of albums
	$counter = 0;
	foreach ($gallery->get_albums() as $album) {
		if ($counter == 0) {
			?>
			<div class="item">
				<h2>More Albums:</h2>
			</div>
			<?php
		}
		?>
		<div class="item">
			<div class="image">
				<a href="<?php echo $album->get_link(); ?>/index.php" title="<?php echo $album->get_name(); ?>">
					<?php if (file_exists($album->get_tn_realpath())) { ?>
						<img src="<?php echo $album->get_tn_name(); ?>" alt="<?php echo $album->get_name(); ?>" />
					<?php } else { ?>
						<h4><?php echo $album->get_name(); ?></h4>
					<?php } ?>
				</a>
			</div>
			<div class="caption">
				<p><a href="<?php echo $album->get_link(); ?>/index.php" title="<?php echo $album->get_name(); ?>"><?php echo $album->get_name(); ?></a></p>
				<p><?php echo $album->get_nr_albums(); ?> Albums, <?php echo $album->get_nr_images(); ?> Images</p>
			</div>
		</div>
		<?php $counter++;
	}
?> </div>

<div class="clear"></div>

<div id="imagelist"> <?php // list of images
	$counter = 0;
	foreach ($gallery->get_images() as $image) {
		if ($counter == 0) {
			?>
			<div class="item">
				<h2>More Images:</h2>
			</div>
			<?php
		}
		?>
		<div class="item">
			<div class="image">
				<a class="picture_time" href="<?php echo $image->get_name(); ?>" title="<?php echo $image->get_name(); ?>">
					<img src="<?php echo $image->get_tn_name(); ?>" alt="<?php echo $image->get_name(); ?>" />
				</a>
			</div>
			<div class="caption">
				<a href="<?php echo $image->get_name(); ?>" title="<?php echo $image->get_name(); ?>"><?php echo $image->get_name(); ?></a>
			</div>
		</div>
		<?php $counter++;
	}
?> </div>

<div class="clear"></div>

<?php login(); ?>

<div class="clear"></div>

<?php
// include footer
include($script->get_docroot() . $software . "/themes/" . $script->get_theme() . '/footer.php');
?>
